package org.artifactory.storage.db.event.error.factory;

import org.artifactory.repo.RepoPath;
import org.artifactory.storage.db.event.error.model.NodeEventsErrorInfo;
import org.artifactory.storage.event.EventType;

/**
 * @author Mor Merhav
 */
public final class NodeEventsErrorInfoFactory {

    private NodeEventsErrorInfoFactory() {
    }

    public static NodeEventsErrorInfo create(String eventCategory, EventType eventType, RepoPath repoPath,
            String operationKey, long eventTime, int errorCount, String errMsg, long firstErrorTime,
            long lastErrorTime) {
        return NodeEventsErrorInfo.builder()
                .eventCategory(eventCategory)
                .errorCount(errorCount)
                .errorMessage(errMsg)
                .operationKey(operationKey)
                .firstErrorTime(firstErrorTime)
                .lastErrorTime(lastErrorTime)
                .eventType(eventType)
                .eventTime(eventTime)
                .path(repoPath)
                .build();
    }
}
